SFTPGO-ACME-RUN(1)

NAME
sftpgo-acme-run - Register your account and obtain certificates

SYNOPSIS
sftpgo acme run [flags]

DESCRIPTION
This command must be run to obtain TLS certificates the first time or every time you add a new domain to your configuration file. Certificates are saved in the configured "certs_path". After this initial step, the certificates are automatically checked and renewed by the SFTPGo service

OPTIONS
-c, --config-dir="."
    Location of the config dir. This directory is used as the base for files with a relative path, e.g. the private keys for the SFTP server or the database file if you use a file-based data provider. The configuration file, if not explicitly set, is looked for in this dir. We support reading from JSON, TOML, YAML, HCL, envfile and Java properties config files. The default config file name is "sftpgo" and therefore "sftpgo.json", "sftpgo.yaml" and so on are searched. This flag can be set using SFTPGO_CONFIG_DIR env var too.

--config-file=""
    Path to SFTPGo configuration file. This flag explicitly defines the path, name and extension of the config file. If must be an absolute path or a path relative to the configuration directory. The specified file name must have a supported extension (JSON, YAML, TOML, HCL or Java properties). This flag can be set using SFTPGO_CONFIG_FILE env var too.

-h, --help[=false]
    help for run

SEE ALSO
sftpgo-acme(1)